Subject: Re: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 27 Feb 2012 12:29:08 +0100

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> To finish this thread, I would like to say I am not happy with the last
>> changes made to file-subdir-of-p by Chong Yidong without ANY
>> notifications.
>> Even after discussion about CL integration in Emacs, it seem it is not
>> for tomorrow.
>> i.e what is your problem with loop?
>
> I cannot speak for Chong, but personally I dislike CL's loop.
Like many Emacs maintainers unfortunately.

> It isn't readable, and so it decreases maintanability of such a basic
> package like files.el.
I disagree.
Once you are used to it, it is more readable and easier to maintain.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997